# nng_thread_destroy(3supp) Manual Page

## NAME

nng_thread_destroy - reap thread

## SYNOPSIS

    #include <nng/nng.h>

    void nng_thread_destroy(nng_thread *thread);

## DESCRIPTION

The `nng_thread_destroy()` function reaps the thread. It waits for the thread function to return, and then deallocates the resources for the thread.

| Do not call this function from the thread function itself, or a deadlock will occur.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_thread_create(3supp), nng(7)